# coding: utf-8

from django import forms
from django.utils.translation import ugettext as _

from jmb.jadmin import JumboActionForm

from isolmant.organisation import models


class NewsletterActionForm(JumboActionForm):

    newsletter = forms.ChoiceField(
        label=_('Newsletter'),
        required=False,
        widget=forms.Select(attrs={'id': 'id_message', 'class': 'extra_action_field'})
    )

    fields_map = {
        'export_action': ['output_type'],
        'clone': [],  # not needed for actions that do not require a field
        'newsletter_send_task': ['newsletter'],
        'newsletter_invite_task': [],
    }

    def __init__(self, *args, **kwargs):
        self.message_choice = []

        messages = models.MailUpMessage.objects.all()

        for message in messages:
            self.message_choice.append((message.message_id, message.subject))
        super(NewsletterActionForm, self).__init__(*args, **kwargs)

        self.fields['newsletter'] = forms.ChoiceField(choices=self.message_choice)


