# coding utf-8
from django.core.urlresolvers import reverse

from django.http import HttpResponse, HttpResponseRedirect
from isolmant.organisation import models

from isolmant.organisation import utils
from isolmant.organisation.models import MailUpMessage


def message_preview(request, message_id):
    message = models.MailUpMessage.objects.get(message_id=message_id)
    return HttpResponse(message.get_preview())


def sync_message_with_mailup(request):
    mailup_provider = utils.get_default_mailup_provider()
    mailup_list = utils.get_default_mailup_list()

    messages = mailup_provider.all_messages(
        list_id=mailup_list.id,
    )

    for message in messages:
        try:
            django_message = MailUpMessage.objects.get(message_id=message.id)
            django_message.subject = message.subject
            django_message.save(mailup_sync=False)
        except MailUpMessage.DoesNotExist:
            django_message = MailUpMessage()
            django_message.subject = message.subject
            django_message.message_id = message.id
            django_message.save()

    return HttpResponseRedirect(reverse('admin:organisation_mailupmessage_changelist'))