# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('organisation', '0005_auto_20150525_1023'),
    ]

    operations = [
        migrations.CreateModel(
            name='Agent',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('first_name', models.CharField(max_length=30, verbose_name='first name')),
                ('last_name', models.CharField(max_length=30, verbose_name='last name')),
                ('email', models.EmailField(max_length=254, verbose_name='email address', blank=True)),
                ('phone', models.CharField(max_length=30, verbose_name='phone number', blank=True)),
                ('mobile', models.CharField(max_length=30, verbose_name='mobile number', blank=True)),
                ('organisation', models.CharField(max_length=255, verbose_name='organisation', blank=True)),
                ('address', models.CharField(max_length=255, verbose_name='organisation', blank=True)),
                ('creator', models.ForeignKey(related_name='organisation_agent_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='organisation_agent_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('last_name', 'first_name'),
                'verbose_name': 'agent',
                'verbose_name_plural': 'agents',
            },
        ),
        migrations.CreateModel(
            name='Province',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('name', models.CharField(max_length=255, verbose_name='Name', blank=True)),
                ('creator', models.ForeignKey(related_name='organisation_province_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='organisation_province_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Region',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('name', models.CharField(max_length=255, verbose_name='Name', blank=True)),
                ('creator', models.ForeignKey(related_name='organisation_region_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='organisation_region_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='contact',
            name='organisation_name',
            field=models.CharField(max_length=255, verbose_name='organisation name', blank=True),
        ),
        migrations.AddField(
            model_name='province',
            name='region',
            field=models.ForeignKey(related_name='provinces', verbose_name='Region', blank=True, to='organisation.Region', null=True),
        ),
        migrations.AddField(
            model_name='agent',
            name='provinces',
            field=models.ManyToManyField(related_name='agents', verbose_name='Provinces', to='organisation.Province', blank=True),
        ),
    ]
