# -*- coding: utf-8 -*-
"""
helper module for isolmant.organisation
"""

from django.conf import settings


# MAILUP UTILS
def get_default_mailup_client():
    from mailup.clients import MailUpClientSingleton
    from mailup.logger import LoggerSingleton

    mailup_client = MailUpClientSingleton(
        client_id=settings.MAILUP_CLIENT_ID,
        client_secret=settings.MAILUP_CLIENT_SECRET,
        username=settings.MAILUP_USERNAME,
        password=settings.MAILUP_PASSWORD,
    )

    # default log level (console)
    ls = LoggerSingleton()
    ls.setLevel(settings.MAILUP_DEBUG_DEFAULT_LEVEL)
    return mailup_client


def get_default_mailup_provider():
    from mailup.object_providers import MailUpObjectProvider

    mailup_client = get_default_mailup_client()
    provider = MailUpObjectProvider(client=mailup_client)
    return provider


def get_default_mailup_list():
    list_id = settings.MAILUP_DEFAULT_LIST_ID
    provider = get_default_mailup_provider()
    return provider.get_list(list_id)
