# -*- coding: utf-8 -*-
from django.conf import settings
from django.views.generic import FormView
from isolmant.organisation.cms.forms import ContactForm, NewsletterForm


class ContactFormView(FormView):
    form_class = ContactForm
    template_name = 'organisation/contact_form.html'
    success_url = '/'

    def form_valid(self, form):
        form.save()
        return super(ContactFormView, self).form_valid(form)


class NewsletterFormView(FormView):
    form_class = NewsletterForm
    template_name = 'organisation/contact_form.html'
    success_url = '/'

    def form_valid(self, form):
        form.save()
        return super(NewsletterFormView, self).form_valid(form)

    def post(self, request, *args, **kwargs):
        try:
            self.success_url = request.META['HTTP_REFERER']
        except KeyError:
            pass
        return super(NewsletterFormView, self).post(request, *args, **kwargs)
